# Created by pyp2rpm-1.0.1
%global pypi_name click
%global with_python3 1

Name:           python-%{pypi_name}
Version:        0.6
Release:        1%{?dist}
Summary:        A simple wrapper around optparse for powerful command line utilities

License:        BSD
URL:            http://github.com/mitsuhiko/click
Source0:        https://pypi.python.org/packages/sources/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Tests are not included in pypi package, checked from github
Source1:        click-0.6-tests.tgz
Patch0:         001-click-add-test-command.patch
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%endif # if with_python3


%description
click is a Python package for creating beautiful command line
interfaces in a composable way with as little amount of code as necessary.
It's the "Command Line Interface Creation Kit".  It's highly configurable but
comes with good defaults out of the box.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        A simple wrapper around optparse for powerful command line utilities


%description -n python3-%{pypi_name}
click is a Python 3 package for creating beautiful command line
interfaces in a composable way with as little amount of code as necessary.
It's the "Command Line Interface Creation Kit".  It's highly configurable but
comes with good defaults out of the box.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p0

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}

%check
tar xzf %{SOURCE1}
%{__python2} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
tar xzf %{SOURCE1}
LANG=en_GB.utf8 LC_ALL=en_GB.utf8 %{__python3} setup.py test
popd
%endif

%files
%doc README 
%{python2_sitelib}/%{pypi_name}/*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README
%{python3_sitelib}/%{pypi_name}/*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Wed May 07 2014 Robert Kuska <rkuska@redhat.com> - 0.6-1
- Initial package.
